src/base/cs_parall.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_parall.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdarg.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "cs_parall.h"`
Include dependency graph for cs_parall.c:

## Macros
#define | CS_PARALL_ARRAY_SIZE 500

## Functions
void | parcmx (cs_int_t *counter)
void | parcmn (cs_int_t *counter)
void | parcpt (cs_int_t *counter)
void | parsom (cs_real_t *var)
void | parmax (cs_real_t *var)
void | parmin (cs_real_t *var)
void | parmxl (cs_int_t *nbr, cs_real_t *var, cs_real_t xyzvar[])
void | parmnl (cs_int_t *nbr, cs_real_t *var, cs_real_t xyzvar[])
void | parism (cs_int_t *n_elts, cs_int_t array[])
void | parimx (cs_int_t *n_elts, cs_int_t array[])
void | parimn (cs_int_t *n_elts, cs_int_t array[])
void | parrsm (cs_int_t *n_elts, cs_real_t array[])
void | parrmx (cs_int_t *n_elts, cs_real_t array[])
void | parrmn (cs_int_t *n_elts, cs_real_t array[])
void | parbci (cs_int_t *irank, cs_int_t *n_elts, cs_int_t array[])
void | parbcr (cs_int_t *irank, cs_int_t *n_elts, cs_real_t array[])
void | paragv (cs_int_t *n_elts, cs_int_t *n_g_elts, cs_real_t array[], cs_real_t *g_array)
void | parfpt (cs_int_t *node, cs_int_t *ndrang, cs_real_t *dis2mn)
void | parhis (cs_int_t *node, cs_int_t *ndrang, cs_real_t var[], cs_real_t *varcap)
void | parbar (void)
size_t | cs_parall_get_min_coll_buf_size (void)
void | cs_parall_set_min_coll_buf_size (size_t buffer_size)

## Macro Definition Documentation

#define CS_PARALL_ARRAY_SIZE 500

## Function Documentation

size_t cs_parall_get_min_coll_buf_size | ( | void |  | ) |

void cs_parall_set_min_coll_buf_size | ( | size_t | buffer_size | ) |

void paragv | ( | cs_int_t * | n_elts,
|  | cs_int_t * | n_g_elts,
|  | cs_real_t | array[],
|  | cs_real_t * | g_array
| ) |  |

void parbar | ( | void |  | ) |

void parbci | ( | cs_int_t * | irank,
|  | cs_int_t * | n_elts,
|  | cs_int_t | array[]
| ) |  |

void parbcr | ( | cs_int_t * | irank,
|  | cs_int_t * | n_elts,
|  | cs_real_t | array[]
| ) |  |

void parcmn | ( | cs_int_t * | counter | ) |

void parcmx | ( | cs_int_t * | counter | ) |

void parcpt | ( | cs_int_t * | counter | ) |

void parfpt | ( | cs_int_t * | node,
|  | cs_int_t * | ndrang,
|  | cs_real_t * | dis2mn
| ) |  |

void parhis | ( | cs_int_t * | node,
|  | cs_int_t * | ndrang,
|  | cs_real_t | var[],
|  | cs_real_t * | varcap
| ) |  |

void parimn | ( | cs_int_t * | n_elts,
|  | cs_int_t | array[]
| ) |  |

void parimx | ( | cs_int_t * | n_elts,
|  | cs_int_t | array[]
| ) |  |

void parism | ( | cs_int_t * | n_elts,
|  | cs_int_t | array[]
| ) |  |

void parmax | ( | cs_real_t * | var | ) |

void parmin | ( | cs_real_t * | var | ) |

void parmnl | ( | cs_int_t * | nbr,
|  | cs_real_t * | var,
|  | cs_real_t | xyzvar[]
| ) |  |

void parmxl | ( | cs_int_t * | nbr,
|  | cs_real_t * | var,
|  | cs_real_t | xyzvar[]
| ) |  |

void parrmn | ( | cs_int_t * | n_elts,
|  | cs_real_t | array[]
| ) |  |

void parrmx | ( | cs_int_t * | n_elts,
|  | cs_real_t | array[]
| ) |  |

void parrsm | ( | cs_int_t * | n_elts,
|  | cs_real_t | array[]
| ) |  |

void parsom | ( | cs_real_t * | var | ) |